<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_80453d7bea0ddc48afe3e" . "3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5" . "nIHZhbGlkYXRpb2" . "4gbWV0aG9kICc="), "_c06c961f393742ecfd52b722" . "63ac9470" => base64_decode("aW50" . "dmFs"), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""), "_aed8da0f19091214b78f803510485" . "17c" => base64_decode("c3R" . "ybG" . "Vu"), "_6edacb78bd55c5015af" . "27c8ac1fcd9af" => base64_decode("bWV0aG9kX2V4aXN0cw" . "=="), "_19d1237a619f7b35ad6dbebf02" . "5f17c8" => base64_decode("c3RyY21" . "w"), "_7eacce07e2449116f62c946" . "4710c37f7" => base64_decode("cmVzZ" . "XQ="), "_e608e5b5c4c34a67" . "ba97ef84c1e16199" => base64_decode("Jw" . "=="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7eacce07e2449116f" . "62c9464710c37f7"]) != $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_6edacb78bd55c5" . "015af27c8ac1fcd" . "9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_80453d7bea0ddc48afe3e3c89e0b" . "8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e608e5b5c4c34a67ba97ef84c1e1619" . "9"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_aed8da0f19091" . "214b78f8035104" . "8517c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_19d1237a619f7b35ad6" . "dbebf025f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c06c961f393742ecfd52b72263ac9" . "470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_aed8da0f" . "19091214b" . "78f803510" . "48517c"]($value);
    }
}